Subject: Re: [PATCH net-next 3/9] net: Remove e_nobufs label from ip_route_input_slow

From: David Ahern <[email-masked]>
Date: Tue, 22 Sep 2015 21:04:53 -0600

On 9/22/15 8:15 PM, Eric W. Biederman wrote:
> David Ahern <[email-masked]> writes:
>
>> e_nobufs has 1 user. Move setting err to -ENOBUFS for the 1 user and
>> use the goto out label instead of e_nobufs. Stepping stone patch; next
>> one moves rth code into a helper function.
>
> Ick you are pessimizing the code.
>
> You will almost certainly have better code generation if you hoist
> the assignment of "err = -ENOBUFS" above the rt_dst_alloc then you
> don't need to do anything in your error path except "goto out;"

Can't do that here because the current value of err is used later in:
rth->dst.error = -err;

Besides, as mentioned above this is a stepping stone patch all of this 
is moved to a helper in patch 4. Where I could do the assignment before 
the rt_dst_alloc since I put the original err as an input arg rth_err.

David